/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: BundleArchiveFactory.java 1898 2007-10-09 17:51:58Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.osgi.archive;

import org.osgi.framework.BundleContext;
import org.ow2.util.ee.deploy.api.archive.ArchiveFactory;
import org.ow2.util.ee.deploy.api.archive.IArchive;

/**
 * EZBArchive extension supporting EjbJars provided in OSGi Bundles.
 * @author Guillaume Sauthier
 */
public class BundleArchiveFactory implements ArchiveFactory<BundleContext> {

    /**
     * @param bc The OSGi BundleContext associated with the Bundle.
     * @return Returns a {@link BundleArchive} instance.
     * @see org.ow2.util.ee.deploy.api.archive.ArchiveFactory#create(java.lang.Object)
     */
    public IArchive create(final BundleContext bc) {
        return new BundleArchive(bc);
    }

}
